KKeyNative Class Reference

`#include <kkeynative.h>`

## Public Member Functions

| KKeyNative ()
| KKeyNative (const KKey &key)
| KKeyNative (const KKeyNative &)
| KKeyNative (uint code, uint mod, uint sym)
void | clear ()
bool | init (const KKey &key)
bool | init (const KKeyNative &key)
KKeyNative & | operator= (const KKeyNative &key)
int | keyCodeQt () const
KKey | key () const
| operator KKey () const
uint | code () const
uint | mod () const
uint | sym () const
bool | isNull () const
int | compare (const KKeyNative &key) const
bool | operator== (const KKeyNative &key) const
bool | operator!= (const KKeyNative &key) const
bool | operator< (const KKeyNative &key) const

## Static Public Member Functions

static KKeyNative & | null ()
static bool | keyboardHasWinKey ()

## Detailed Description

Representation of a key in the format native of the windowing system (eg.

X11).

See also
  KKey

Definition at line 37 of file kkeynative.h.

## Constructor & Destructor Documentation

KKeyNative::KKeyNative | ( |  | ) |

Creates a new null KKey.

See also
  clear()
  isNull()
  null()

KKeyNative::KKeyNative | ( | const KKey & | key | ) |

Creates a new native key for the given KKey code.

Parameters

  key | the KKey that contains the generic key

KKeyNative::KKeyNative | ( | const KKeyNative & |  | ) |

Copy constructor.

## Member Function Documentation

void KKeyNative::clear | ( |  | ) |

Clears the key.

The key is null after calling this function.

See also
  isNull()

uint KKeyNative::code | ( |  | ) | const

The native keycode of the key.

Returns
  the native keycode

int KKeyNative::compare | ( | const KKeyNative & | key | ) | const

Compares this key with the given KKeyNative object.

Returns a negative number if the given KKeyNative is larger, 0 if they are equal and a positive number this KKeyNative is larger. The returned value is the difference between the symbol, modifier or code, whatever is non-zero first.

Parameters

  key | the key to compare with this key

Returns
  a negative number if the given KKeyNative is larger, 0 if they are equal and a positive number this KKeyNative is larger

bool KKeyNative::init | ( | const KKey & | key | ) |

Creates a new native key for the given KKey code.

Parameters

  key | the KKey that contains the generic key

Returns
  true if successful, false otherwise

bool KKeyNative::init | ( | const KKeyNative & | key | ) |

Copies the given key into this key.

Parameters

  key | the key to copy

Returns
  true if successful, false otherwise

bool KKeyNative::isNull | ( |  | ) | const

Returns true if the key is null (after clear() or empty constructor).

Returns
  true if the key is null

See also
  clear()
  null()

KKey KKeyNative::key | ( |  | ) | const

Returns the KKey representation of this key.

Returns
  the KKey representation

static bool KKeyNative::keyboardHasWinKey | ( |  | ) |

static

Checks whether the keyboard has a Win key.

Returns
  true if the keyboard has a Win key

int KKeyNative::keyCodeQt | ( |  | ) | const

Returns the qt key code.

Returns
  the qt key code or 0 if there is no key set.

See also
  Qt::Key

uint KKeyNative::mod | ( |  | ) | const

The native modifier flags of the key.

Returns
  the native modifier flags

static KKeyNative& KKeyNative::null | ( |  | ) |

static

Returns a null key.

Returns
  the null key

See also
  isNull()
  clear()

KKeyNative::operator KKey | ( |  | ) | const

inline

Converts this key to its KKey representation.

Returns
  the KKey representation

See also
  key()

Definition at line 130 of file kkeynative.h.

bool KKeyNative::operator!= | ( | const KKeyNative & | key | ) | const

inline

Compares the symbol, modifiers and code of both keys.

See also
  compare()

Definition at line 183 of file kkeynative.h.

bool KKeyNative::operator< | ( | const KKeyNative & | key | ) | const

inline

Compares the symbol, modifiers and code of both keys.

See also
  compare()

Definition at line 190 of file kkeynative.h.

KKeyNative& KKeyNative::operator= | ( | const KKeyNative & | key | ) |

inline

Copies the given key into this key.

Parameters

  key | the key to copy

Returns
  this key

Definition at line 108 of file kkeynative.h.

bool KKeyNative::operator== | ( | const KKeyNative & | key | ) | const

inline

Compares the symbol, modifiers and code of both keys.

See also
  compare()

Definition at line 176 of file kkeynative.h.

uint KKeyNative::sym | ( |  | ) | const

The native symbol (KeySym) of the key.

Returns
  the native symbol (KeySym)

The documentation for this class was generated from the following file:

- kkeynative.h

KDE Home | KDE Accessibility Home | Description of Access Keys